## net.i2p.util
Class EepGet

    java.lang.Object
      net.i2p.util.EepGet

public class EepGet
extends java.lang.Object

EepGet [-p localhost:4444] [-n #retries] [-o outputFile] [-m markSize lineLen] url

Nested Class Summary
`static interface` `EepGet.StatusListener`

Constructor Summary
`EepGet(I2PAppContext ctx, boolean shouldProxy, java.lang.String proxyHost, int proxyPort, int numRetries, java.lang.String outputFile, java.lang.String url)`
`EepGet(I2PAppContext ctx, boolean shouldProxy, java.lang.String proxyHost, int proxyPort, int numRetries, java.lang.String outputFile, java.lang.String url, boolean allowCaching, java.lang.String etag)`
`EepGet(I2PAppContext ctx, boolean shouldProxy, java.lang.String proxyHost, int proxyPort, int numRetries, java.lang.String outputFile, java.lang.String url, boolean allowCaching, java.lang.String etag, java.lang.String postData)`
`EepGet(I2PAppContext ctx, boolean shouldProxy, java.lang.String proxyHost, int proxyPort, int numRetries, java.lang.String outputFile, java.lang.String url, java.lang.String postData)`
`EepGet(I2PAppContext ctx, int numRetries, java.lang.String outputFile, java.lang.String url)`
`EepGet(I2PAppContext ctx, int numRetries, java.lang.String outputFile, java.lang.String url, boolean allowCaching)`
`EepGet(I2PAppContext ctx, java.lang.String proxyHost, int proxyPort, int numRetries, java.lang.String outputFile, java.lang.String url)`
`EepGet(I2PAppContext ctx, java.lang.String proxyHost, int proxyPort, int numRetries, java.lang.String outputFile, java.lang.String url, boolean allowCaching)`

Method Summary
`void` `addStatusListener(EepGet.StatusListener lsnr)`
`boolean` `fetch()` Blocking fetch, returning true if the URL was retrieved, false if all retries failed
`java.lang.String` `getContentType()`
`java.lang.String` `getETag()`
`boolean` `getNotModified()`
`static void` `main(java.lang.String[] args)` EepGet [-p localhost:4444] [-n #retries] [-e etag] [-o outputFile] [-m markSize lineLen] url
`void` `stopFetching()`
`static java.lang.String` `suggestName(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepGet

    public EepGet(I2PAppContext ctx,
                  java.lang.String proxyHost,
                  int proxyPort,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url)

### EepGet

    public EepGet(I2PAppContext ctx,
                  java.lang.String proxyHost,
                  int proxyPort,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url,
                  boolean allowCaching)

### EepGet

    public EepGet(I2PAppContext ctx,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url)

### EepGet

    public EepGet(I2PAppContext ctx,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url,
                  boolean allowCaching)

### EepGet

    public EepGet(I2PAppContext ctx,
                  boolean shouldProxy,
                  java.lang.String proxyHost,
                  int proxyPort,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url)

### EepGet

    public EepGet(I2PAppContext ctx,
                  boolean shouldProxy,
                  java.lang.String proxyHost,
                  int proxyPort,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url,
                  java.lang.String postData)

### EepGet

    public EepGet(I2PAppContext ctx,
                  boolean shouldProxy,
                  java.lang.String proxyHost,
                  int proxyPort,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url,
                  boolean allowCaching,
                  java.lang.String etag)

### EepGet

    public EepGet(I2PAppContext ctx,
                  boolean shouldProxy,
                  java.lang.String proxyHost,
                  int proxyPort,
                  int numRetries,
                  java.lang.String outputFile,
                  java.lang.String url,
                  boolean allowCaching,
                  java.lang.String etag,
                  java.lang.String postData)

Method Detail

### main

    public static void main(java.lang.String[] args)

  EepGet [-p localhost:4444] [-n #retries] [-e etag] [-o outputFile] [-m markSize lineLen] url

### suggestName

    public static java.lang.String suggestName(java.lang.String url)

### addStatusListener

    public void addStatusListener(EepGet.StatusListener lsnr)

### stopFetching

    public void stopFetching()

### fetch

    public boolean fetch()

  Blocking fetch, returning true if the URL was retrieved, false if all retries failed

### getETag

    public java.lang.String getETag()

### getNotModified

    public boolean getNotModified()

### getContentType

    public java.lang.String getContentType()